Bug 83932 - New port: GraphicsMagick-1.1.6 (fast image processing tools based on ImageMagick)
Summary: New port: GraphicsMagick-1.1.6 (fast image processing tools based on ImageMag...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-23 01:40 UTC by Ron van Daal
Modified: 2005-07-29 01:37 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (12.79 KB, text/plain)
2005-07-23 01:40 UTC, Ron van Daal
no flags Details
GM.shar (19.29 KB, text/plain; charset="us-ascii")
2005-07-25 01:34 UTC, Mikhail Teterin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ron van Daal 2005-07-23 01:40:15 UTC
Tested on FreeBSD 4.10 i386, 5.4 i386 and 5.4 amd64. Followed Porters Handbook guidelines. Checked with all possible portlint flags.

How-To-Repeat: n/a new port submit
Comment 1 Mikhail Teterin freebsd_committer 2005-07-24 03:49:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

I once promised one of the authors, that as soon as he, or someone 
submits a PR with the port, I'll handle it.
Comment 2 Mikhail Teterin 2005-07-24 14:47:03 UTC
Hi, Ron!

Why do you disable the Perl API? Do you intend to make it a separate
port some day?

ImageMagick port installs it...

Thanks!

	-mi
Comment 3 Ron van Daal 2005-07-24 19:53:41 UTC
Hi Mikhail,

My intention is to add the Perl API asap (probably when GM releases a 
new version). At least this port contains all main/basic functionality, 
would this be a problem for the current port? My plan is to add extra
configure choices to the next port, like the IM port has. I would like
to note that GM and IM differ a little in building. If would be nice if 
the GM port gets committed so that the main functionality becomes
available to all FreeBSD users (currently there's no port for this).

Grt,

Ron van Daal, Web3 Hosting | FreeBSD/networking engineer
www.nl.netbsd.org / synto@irc.umbranet.org:ssl #unixtalk
PGP = 3AF5 2B95 5B61 7B2C 486E  4206 3E76 A4EC A858 577E

On Sun, 24 Jul 2005, Mikhail Teterin wrote:

> Hi, Ron!
>
> Why do you disable the Perl API? Do you intend to make it a separate
> port some day?
>
> ImageMagick port installs it...
>
> Thanks!
>
> 	-mi
>
Comment 4 Ron van Daal 2005-07-24 22:08:51 UTC
Hi Mikhail,

I updated the current port with the Perl API and tested it. I know a
new port shouldn't have a revision number but I don't want to cause any
confusion here. The port now supports all standard features of GM and
I think it's complete for inclusion in the portstree.

Shar file included below. I'll put it in the pr-system as followup in a few mins.

Thanks for your feedback!

Grt,

Ron van Daal

On Sun, 24 Jul 2005, Mikhail Teterin wrote:

> Hi, Ron!
> Why do you disable the Perl API? Do you intend to make it a separate
> port some day?
> ImageMagick port installs it...
> Thanks!
> 	-mi


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	GraphicsMagick/
#	GraphicsMagick/Makefile
#	GraphicsMagick/distinfo
#	GraphicsMagick/pkg-descr
#	GraphicsMagick/pkg-plist
#
echo c - GraphicsMagick/
mkdir -p GraphicsMagick/ > /dev/null 2>&1
echo x - GraphicsMagick/Makefile
sed 's/^X//' >GraphicsMagick/Makefile << 'END-of-GraphicsMagick/Makefile'
X# New ports collection makefile for:   GraphicsMagick
X# Date created:        24 july 2005
X# Whom:                Ron van Daal
X#
X# $FreeBSD$
X#
X
XPORTNAME=	GraphicsMagick
XPORTVERSION=	1.1.6
XPORTREVISION=	1
XCATEGORIES=	graphics perl5
XMASTER_SITES=	http://surfnet.dl.sourceforge.net/sourceforge/graphicsmagick/ \
X		http://mesh.dl.sourceforge.net/sourceforge/graphicsmagick/ \
X		ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/
X
XMAINTAINER=	ronvdaal@n1x.nl
XCOMMENT=	Fast image processing tools based on ImageMagick
X
XUSE_LIBTOOL_VER=15
XUSE_PERL5=	yes
X
XMAN1=		GraphicsMagick++-config.1 \
X		GraphicsMagick-config.1 \
X		GraphicsMagickWand-config.1 \
X		gm.1
X
XMAN3=		Graphics::Magick.3
XMAN3PREFIX=	${PREFIX}/lib/perl5/${PERL_VERSION}
X
XMAN4=		miff.4
XMAN5=		quantize.5
X
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=	--prefix=${PREFIX} --enable-shared --with-perl=${PERL5}
XINSTALLS_SHLIB=	yes
X
X.include <bsd.port.mk>
END-of-GraphicsMagick/Makefile
echo x - GraphicsMagick/distinfo
sed 's/^X//' >GraphicsMagick/distinfo << 'END-of-GraphicsMagick/distinfo'
XMD5 (GraphicsMagick-1.1.6.tar.gz) = 5b9dabd2a861bb257400c17dc2f94b80
XSIZE (GraphicsMagick-1.1.6.tar.gz) = 5923618
END-of-GraphicsMagick/distinfo
echo x - GraphicsMagick/pkg-descr
sed 's/^X//' >GraphicsMagick/pkg-descr << 'END-of-GraphicsMagick/pkg-descr'
XThis is a port of GraphicsMagick, the "swiss army knife" of image processing.
XIt provides a robust collection of tools and libraries which support reading,
Xwriting, and manipulating an image in over 88 major formats including formats
Xlike DPX, GIF, JPEG, JPEG-2000, PNG, PDF, SVG and TIFF.
X
XWWW: http://www.graphicsmagick.org/
X
X- Ron van Daal
Xronvdaal@n1x.nl
END-of-GraphicsMagick/pkg-descr
echo x - GraphicsMagick/pkg-plist
sed 's/^X//' >GraphicsMagick/pkg-plist << 'END-of-GraphicsMagick/pkg-plist'
Xbin/GraphicsMagick++-config
Xbin/GraphicsMagick-config
Xbin/GraphicsMagickWand-config
Xbin/gm
Xinclude/GraphicsMagick/Magick++.h
Xinclude/GraphicsMagick/Magick++/Blob.h
Xinclude/GraphicsMagick/Magick++/CoderInfo.h
Xinclude/GraphicsMagick/Magick++/Color.h
Xinclude/GraphicsMagick/Magick++/Drawable.h
Xinclude/GraphicsMagick/Magick++/Exception.h
Xinclude/GraphicsMagick/Magick++/Geometry.h
Xinclude/GraphicsMagick/Magick++/Image.h
Xinclude/GraphicsMagick/Magick++/Include.h
Xinclude/GraphicsMagick/Magick++/Montage.h
Xinclude/GraphicsMagick/Magick++/Pixels.h
Xinclude/GraphicsMagick/Magick++/STL.h
Xinclude/GraphicsMagick/Magick++/TypeMetric.h
Xinclude/GraphicsMagick/magick/PreRvIcccm.h
Xinclude/GraphicsMagick/magick/api.h
Xinclude/GraphicsMagick/magick/attribute.h
Xinclude/GraphicsMagick/magick/blob.h
Xinclude/GraphicsMagick/magick/cache.h
Xinclude/GraphicsMagick/magick/cache_view.h
Xinclude/GraphicsMagick/magick/color.h
Xinclude/GraphicsMagick/magick/command.h
Xinclude/GraphicsMagick/magick/composite.h
Xinclude/GraphicsMagick/magick/compress.h
Xinclude/GraphicsMagick/magick/constitute.h
Xinclude/GraphicsMagick/magick/decorate.h
Xinclude/GraphicsMagick/magick/delegate.h
Xinclude/GraphicsMagick/magick/deprecate.h
Xinclude/GraphicsMagick/magick/draw.h
Xinclude/GraphicsMagick/magick/effect.h
Xinclude/GraphicsMagick/magick/enhance.h
Xinclude/GraphicsMagick/magick/error.h
Xinclude/GraphicsMagick/magick/fx.h
Xinclude/GraphicsMagick/magick/gem.h
Xinclude/GraphicsMagick/magick/image.h
Xinclude/GraphicsMagick/magick/list.h
Xinclude/GraphicsMagick/magick/log.h
Xinclude/GraphicsMagick/magick/magic.h
Xinclude/GraphicsMagick/magick/magick.h
Xinclude/GraphicsMagick/magick/magick_config.h
Xinclude/GraphicsMagick/magick/magick_types.h
Xinclude/GraphicsMagick/magick/module.h
Xinclude/GraphicsMagick/magick/monitor.h
Xinclude/GraphicsMagick/magick/montage.h
Xinclude/GraphicsMagick/magick/paint.h
Xinclude/GraphicsMagick/magick/profile.h
Xinclude/GraphicsMagick/magick/quantize.h
Xinclude/GraphicsMagick/magick/registry.h
Xinclude/GraphicsMagick/magick/render.h
Xinclude/GraphicsMagick/magick/resize.h
Xinclude/GraphicsMagick/magick/resource.h
Xinclude/GraphicsMagick/magick/shear.h
Xinclude/GraphicsMagick/magick/signature.h
Xinclude/GraphicsMagick/magick/stream.h
Xinclude/GraphicsMagick/magick/symbols.h
Xinclude/GraphicsMagick/magick/timer.h
Xinclude/GraphicsMagick/magick/transform.h
Xinclude/GraphicsMagick/magick/utility.h
Xinclude/GraphicsMagick/magick/version.h
Xinclude/GraphicsMagick/magick/widget.h
Xinclude/GraphicsMagick/magick/xwindow.h
Xinclude/GraphicsMagick/wand/drawing_wand.h
Xinclude/GraphicsMagick/wand/magick_wand.h
Xinclude/GraphicsMagick/wand/pixel_wand.h
Xinclude/GraphicsMagick/wand/wand_api.h
Xlib/GraphicsMagick-1.1.6/config/colors.mgk
Xlib/GraphicsMagick-1.1.6/config/delegates.mgk
Xlib/GraphicsMagick-1.1.6/config/type-ghostscript.mgk
Xlib/GraphicsMagick-1.1.6/config/type-solaris.mgk
Xlib/GraphicsMagick-1.1.6/config/type-windows.mgk
Xlib/GraphicsMagick-1.1.6/config/type.mgk
Xlib/libGraphicsMagick++.a
Xlib/libGraphicsMagick++.so
Xlib/libGraphicsMagick++.so.1
Xlib/libGraphicsMagick.a
Xlib/libGraphicsMagick.so
Xlib/libGraphicsMagick.so.1
Xlib/libGraphicsMagickWand.a
Xlib/libGraphicsMagickWand.so
Xlib/libGraphicsMagickWand.so.0
X%%SITE_PERL%%/%%PERL_ARCH%%/Graphics/Magick.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/Magick.so
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/Magick.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/autosplit.ix
Xshare/GraphicsMagick-1.1.6/Copyright.txt
Xshare/GraphicsMagick-1.1.6/config/log.mgk
Xshare/GraphicsMagick-1.1.6/config/magic.mgk
Xshare/GraphicsMagick-1.1.6/config/modules.mgk
Xshare/GraphicsMagick-1.1.6/images/ball.png
Xshare/GraphicsMagick-1.1.6/images/corbis.png
Xshare/GraphicsMagick-1.1.6/images/examples.jpg
Xshare/GraphicsMagick-1.1.6/images/gm-125x80t.png
Xshare/GraphicsMagick-1.1.6/images/gm-188x120t.png
Xshare/GraphicsMagick-1.1.6/images/gm-282x180t.png
Xshare/GraphicsMagick-1.1.6/images/home.png
Xshare/GraphicsMagick-1.1.6/images/mail.png
Xshare/GraphicsMagick-1.1.6/images/pdfsages.png
Xshare/GraphicsMagick-1.1.6/images/pngnow.png
Xshare/GraphicsMagick-1.1.6/images/right_triangle.png
Xshare/GraphicsMagick-1.1.6/images/right_triangle_option.png
Xshare/GraphicsMagick-1.1.6/index.html
Xshare/GraphicsMagick-1.1.6/www/AUTHORS.html
Xshare/GraphicsMagick-1.1.6/www/Changelog.html
Xshare/GraphicsMagick-1.1.6/www/Copyright.html
Xshare/GraphicsMagick-1.1.6/www/FAQ.html
Xshare/GraphicsMagick-1.1.6/www/GraphicsMagick.html
Xshare/GraphicsMagick-1.1.6/www/INSTALL-mac.html
Xshare/GraphicsMagick-1.1.6/www/INSTALL-unix.html
Xshare/GraphicsMagick-1.1.6/www/INSTALL-vms.html
Xshare/GraphicsMagick-1.1.6/www/INSTALL-windows.html
Xshare/GraphicsMagick-1.1.6/www/ImageMagickObject.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Blob.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Cache.fig
Xshare/GraphicsMagick-1.1.6/www/Magick++/Cache.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/Cache.svg
Xshare/GraphicsMagick-1.1.6/www/Magick++/ChangeLog.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/CoderInfo.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Color.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Documentation.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Drawable.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Drawable_example_1.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/Enumerations.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Exception.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/FormatCharacters.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Future.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Geometry.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Image.fig
Xshare/GraphicsMagick-1.1.6/www/Magick++/Image.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Image.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/ImageDesign.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/ImageMagick.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/Install.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Magick++.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/Montage.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/NEWS.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/PixelPacket.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/Pixels.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/README.txt
Xshare/GraphicsMagick-1.1.6/www/Magick++/STL.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/TypeMetric.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/gm-188x120t.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/index.html
Xshare/GraphicsMagick-1.1.6/www/Magick++/montage-sample-framed.jpg
Xshare/GraphicsMagick-1.1.6/www/Magick++/right_triangle.png
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-anatomy-framed.fig
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-anatomy-framed.jpg
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-anatomy-plain.fig
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-anatomy-plain.jpg
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-sample-framed.jpg
Xshare/GraphicsMagick-1.1.6/www/Magick++/thumbnail-sample-plain.jpg
Xshare/GraphicsMagick-1.1.6/www/NEWS.html
Xshare/GraphicsMagick-1.1.6/www/README.html
Xshare/GraphicsMagick-1.1.6/www/animate.html
Xshare/GraphicsMagick-1.1.6/www/api.html
Xshare/GraphicsMagick-1.1.6/www/api/animate.html
Xshare/GraphicsMagick-1.1.6/www/api/annotate.html
Xshare/GraphicsMagick-1.1.6/www/api/attribute.html
Xshare/GraphicsMagick-1.1.6/www/api/blob.html
Xshare/GraphicsMagick-1.1.6/www/api/cache.html
Xshare/GraphicsMagick-1.1.6/www/api/cache_view.html
Xshare/GraphicsMagick-1.1.6/www/api/color.html
Xshare/GraphicsMagick-1.1.6/www/api/composite.html
Xshare/GraphicsMagick-1.1.6/www/api/constitute.html
Xshare/GraphicsMagick-1.1.6/www/api/decorate.html
Xshare/GraphicsMagick-1.1.6/www/api/deprecate.html
Xshare/GraphicsMagick-1.1.6/www/api/display.html
Xshare/GraphicsMagick-1.1.6/www/api/draw.html
Xshare/GraphicsMagick-1.1.6/www/api/effect.html
Xshare/GraphicsMagick-1.1.6/www/api/enhance.html
Xshare/GraphicsMagick-1.1.6/www/api/error.html
Xshare/GraphicsMagick-1.1.6/www/api/fx.html
Xshare/GraphicsMagick-1.1.6/www/api/image.html
Xshare/GraphicsMagick-1.1.6/www/api/list.html
Xshare/GraphicsMagick-1.1.6/www/api/magick.html
Xshare/GraphicsMagick-1.1.6/www/api/memory.html
Xshare/GraphicsMagick-1.1.6/www/api/monitor.html
Xshare/GraphicsMagick-1.1.6/www/api/montage.html
Xshare/GraphicsMagick-1.1.6/www/api/paint.html
Xshare/GraphicsMagick-1.1.6/www/api/profile.html
Xshare/GraphicsMagick-1.1.6/www/api/quantize.html
Xshare/GraphicsMagick-1.1.6/www/api/registry.html
Xshare/GraphicsMagick-1.1.6/www/api/render.html
Xshare/GraphicsMagick-1.1.6/www/api/resize.html
Xshare/GraphicsMagick-1.1.6/www/api/resource.html
Xshare/GraphicsMagick-1.1.6/www/api/segment.html
Xshare/GraphicsMagick-1.1.6/www/api/shear.html
Xshare/GraphicsMagick-1.1.6/www/api/signature.html
Xshare/GraphicsMagick-1.1.6/www/api/stream.html
Xshare/GraphicsMagick-1.1.6/www/api/transform.html
Xshare/GraphicsMagick-1.1.6/www/api/types.html
Xshare/GraphicsMagick-1.1.6/www/api/widget.html
Xshare/GraphicsMagick-1.1.6/www/body.html
Xshare/GraphicsMagick-1.1.6/www/body.html.rej
Xshare/GraphicsMagick-1.1.6/www/books.html
Xshare/GraphicsMagick-1.1.6/www/color.html
Xshare/GraphicsMagick-1.1.6/www/composite.html
Xshare/GraphicsMagick-1.1.6/www/conjure.html
Xshare/GraphicsMagick-1.1.6/www/contribute.html
Xshare/GraphicsMagick-1.1.6/www/convert.html
Xshare/GraphicsMagick-1.1.6/www/cvs.html
Xshare/GraphicsMagick-1.1.6/www/development.html
Xshare/GraphicsMagick-1.1.6/www/display.html
Xshare/GraphicsMagick-1.1.6/www/download.html
Xshare/GraphicsMagick-1.1.6/www/formats.html
Xshare/GraphicsMagick-1.1.6/www/gm.html
Xshare/GraphicsMagick-1.1.6/www/header.html
Xshare/GraphicsMagick-1.1.6/www/identify.html
Xshare/GraphicsMagick-1.1.6/www/import.html
Xshare/GraphicsMagick-1.1.6/www/index.html
Xshare/GraphicsMagick-1.1.6/www/install.html
Xshare/GraphicsMagick-1.1.6/www/links.html
Xshare/GraphicsMagick-1.1.6/www/magick.css
Xshare/GraphicsMagick-1.1.6/www/miff.html
Xshare/GraphicsMagick-1.1.6/www/mission.html
Xshare/GraphicsMagick-1.1.6/www/mogrify.html
Xshare/GraphicsMagick-1.1.6/www/montage.html
Xshare/GraphicsMagick-1.1.6/www/perl.html
Xshare/GraphicsMagick-1.1.6/www/programming.html
Xshare/GraphicsMagick-1.1.6/www/quantize.html
Xshare/GraphicsMagick-1.1.6/www/smile.c
Xshare/GraphicsMagick-1.1.6/www/tools.html
Xshare/GraphicsMagick-1.1.6/www/utilities.html
Xshare/GraphicsMagick-1.1.6/www/windows.html
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Graphics
X@dirrm share/GraphicsMagick-1.1.6/www/api
X@dirrm share/GraphicsMagick-1.1.6/www/Magick++
X@dirrm share/GraphicsMagick-1.1.6/www
X@dirrm share/GraphicsMagick-1.1.6/images
X@dirrm share/GraphicsMagick-1.1.6/config
X@dirrm share/GraphicsMagick-1.1.6
X@dirrm lib/GraphicsMagick-1.1.6/config
X@dirrm include/GraphicsMagick/wand
X@dirrm include/GraphicsMagick/magick
X@dirrm include/GraphicsMagick/Magick++
X@dirrm include/GraphicsMagick
END-of-GraphicsMagick/pkg-plist
exit
Comment 5 Mikhail Teterin 2005-07-25 00:59:40 UTC
Ok, below is my version. It addresses the following items:

	. LIB_DEPENDS;
	. automatically run vendor's self-tests post-build;
	. Options for using 8bit pixel and FPX (default to no);
	. pkg-plist follows the "guidelines" for DOCSDIR and
	  DATADIR (no version in the name, etc.)
	. Respect NOPORTDOCS setting;
	. WITHOUT_X11 (not tested);
	. Fixes warnings (patch submitted to vendor);
	. Avoids threads (using -pthread causes fork to
	  dump core in the child for some reason).

Please, take a look. I intend to commit this if you do not object :-)

Thanks!

	-mi
Comment 6 Mikhail Teterin 2005-07-25 01:34:38 UTC
Oops. I forgot to attach the new shar to my previous e-mail...

	-mi
Comment 7 Ron van Daal 2005-07-25 18:07:11 UTC
Hi,

Here's an update of the port. Thanks for looking at it Mikhail.
I've encountered and resolved some issues though:

* The ncurses menu didn't work - to check against the OPTIONS
   you need to include bsd.port.pre.mk / bsd.port.post.mk. Fixed

* OPTIONS "officially" uses on/off instead of yes/no

* Libfpx breaks on some systems as you mentioned in the options.
   I moved it from the ncurses menu but left WITH_FPX since many
   people still press enter without reading when installing software

* Also, libfpx is in ports/graphics not ports/textproc (replaced)

* jbig isn't in my portstree under /usr/ports/graphics
   (thus generating errors - temporary removed from LIB_DEPENDS)

Furthermore:

* Added PerlMagick building/installing choice to the ncurses menu
   So there's no 2nd port needed for the Perl API

* Added 2nd category perl5 like the IM port

* Added a patch from the author related to a possible Xorg-libs bug

* Tested building and installing WITHOUT_X11 and NOPORTDOCS

All tested and it looks good to me. What's up with the (TM) btw? :)
Still two warnings with portlint I like to get rid off one time.

New shar included below.

Grt,

Ron van Daal



# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	GraphicsMagick/
#	GraphicsMagick/Makefile
#	GraphicsMagick/distinfo
#	GraphicsMagick/pkg-descr
#	GraphicsMagick/pkg-plist
#	GraphicsMagick/files
#	GraphicsMagick/files/patch-warnings
#	GraphicsMagick/files/patch-utility
#	GraphicsMagick/files/patch-Makefile.in
#	GraphicsMagick/files/patch-freebsd
#
echo c - GraphicsMagick/
mkdir -p GraphicsMagick/ > /dev/null 2>&1
echo x - GraphicsMagick/Makefile
sed 's/^X//' >GraphicsMagick/Makefile << 'END-of-GraphicsMagick/Makefile'
X# New ports collection makefile for:   GraphicsMagick
X# Date created:        25 july 2005
X# Whom:                Ron van Daal
X#
X# $FreeBSD$
X#
X
XPORTNAME=	GraphicsMagick
XPORTVERSION=	1.1.6
XCATEGORIES=	graphics perl5
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE} \
X		ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/
XMASTER_SITE_SUBDIR=	${PORTNAME:L}
X
XMAINTAINER=	ronvdaal@n1x.nl
XCOMMENT=	Fast image processing tools based on ImageMagick
X
XLIB_DEPENDS=	freetype:${PORTSDIR}/print/freetype2	\
X		wmf:${PORTSDIR}/graphics/libwmf	\
X		xml2:${PORTSDIR}/textproc/libxml2
XOTHERGRAPHICS=	jasper jpeg lcms png tiff
XLIB_DEPENDS+=	${OTHERGRAPHICS:C|(.+)|\1:${PORTSDIR}/graphics/\1|}
XOPTIONS=	PERLMAGICK "Build/install PerlMagick" off \
X		Q8BIT "Use 8-bit pixels (speed) instead of 16 (quality)" off
X
XUSE_BZIP2=	yes
XUSE_PERL5=	yes
XUSE_LIBTOOL_VER=15
X
XMAN1=		GraphicsMagick++-config.1 \
X		GraphicsMagick-config.1 \
X		GraphicsMagickWand-config.1 \
X		gm.1
XMAN4=		miff.4
XMAN5=		quantize.5
X
X.ifndef WINDOWS_FONT_DIR
X# Use fonts installed by x11-fonts/webfonts by default
XWINDOWS_FONT_DIR=${X11BASE}/lib/X11/webfonts
X.endif
X
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=	--with-windows-font-dir=${WINDOWS_FONT_DIR}	\
X		--enable-shared --enable-static --without-threads
XINSTALLS_SHLIB=	yes
X
X.if !defined(NOPORTDOCS)
XINSTALL_TARGET=	install install-data-html
X.endif
XCONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"	\
X	LDFLAGS="-L${LOCALBASE}/lib"
X
X.if defined(WITHOUT_X11)
XPKGNAMESUFFIX+=	-nox11
XCONFIGURE_ARGS+=--without-x
X.endif
X
X.if defined(WITH_FPX)
XLIB_DEPENDS+=	fpx:${PORTSDIR}/graphics/libfpx
X.else
XCONFIGURE_ARGS+=--without-fpx
X.endif
X
X.include <bsd.port.pre.mk>
X
X.if defined(WITH_PERLMAGICK)
XCONFIGURE_ARGS+=--with-perl=${PERL5}
XPLIST_SUB+=	WITH_PERL=''
XMAN3=		Graphics::Magick.3
XMAN3PREFIX=	${PREFIX}/lib/perl5/${PERL_VERSION}
X.else
XCONFIGURE_ARGS+=--without-perl
XPLIST_SUB+=	WITH_PERL='@comment '
X.endif
X
X.if defined(WITH_Q8BIT) || defined(WITHOUT_GRAPHICSMAGICK_16BIT_PIXEL)
XCONFIGURE_ARGS+=	--with-quantum-depth=8
X.else
XCONFIGURE_ARGS+=	--with-quantum-depth=16
X.endif
X
Xpost-build test:
X	cd ${WRKSRC}/tests && ${MAKE} check
X
X.include <bsd.port.post.mk>
END-of-GraphicsMagick/Makefile
echo x - GraphicsMagick/distinfo
sed 's/^X//' >GraphicsMagick/distinfo << 'END-of-GraphicsMagick/distinfo'
XMD5 (GraphicsMagick-1.1.6.tar.bz2) = ee85aef3cde13432a3f2e5604b758f9c
XSIZE (GraphicsMagick-1.1.6.tar.bz2) = 4959704
END-of-GraphicsMagick/distinfo
echo x - GraphicsMagick/pkg-descr
sed 's/^X//' >GraphicsMagick/pkg-descr << 'END-of-GraphicsMagick/pkg-descr'
XThis is a port of GraphicsMagick(TM), the "swiss army knife" of image
Xprocessing. It provides a robust collection of tools and libraries which
Xsupport reading, writing, and manipulating an image in over 88 major
Xformats including formats like DPX, GIF, JPEG, JPEG-2000, PNG, PDF, SVG
Xand TIFF.
X
XThe program is the fork of a better-known ImageMagick (5.5.2), which
Xemphasizes end-user and API-stabilities.
X
XWWW: http://www.graphicsmagick.org/
X
X- Ron van Daal
Xronvdaal@n1x.nl
END-of-GraphicsMagick/pkg-descr
echo x - GraphicsMagick/pkg-plist
sed 's/^X//' >GraphicsMagick/pkg-plist << 'END-of-GraphicsMagick/pkg-plist'
Xbin/GraphicsMagick++-config
Xbin/GraphicsMagick-config
Xbin/GraphicsMagickWand-config
Xbin/gm
Xinclude/GraphicsMagick/Magick++.h
Xinclude/GraphicsMagick/Magick++/Blob.h
Xinclude/GraphicsMagick/Magick++/CoderInfo.h
Xinclude/GraphicsMagick/Magick++/Color.h
Xinclude/GraphicsMagick/Magick++/Drawable.h
Xinclude/GraphicsMagick/Magick++/Exception.h
Xinclude/GraphicsMagick/Magick++/Geometry.h
Xinclude/GraphicsMagick/Magick++/Image.h
Xinclude/GraphicsMagick/Magick++/Include.h
Xinclude/GraphicsMagick/Magick++/Montage.h
Xinclude/GraphicsMagick/Magick++/Pixels.h
Xinclude/GraphicsMagick/Magick++/STL.h
Xinclude/GraphicsMagick/Magick++/TypeMetric.h
Xinclude/GraphicsMagick/magick/PreRvIcccm.h
Xinclude/GraphicsMagick/magick/api.h
Xinclude/GraphicsMagick/magick/attribute.h
Xinclude/GraphicsMagick/magick/blob.h
Xinclude/GraphicsMagick/magick/cache.h
Xinclude/GraphicsMagick/magick/cache_view.h
Xinclude/GraphicsMagick/magick/color.h
Xinclude/GraphicsMagick/magick/command.h
Xinclude/GraphicsMagick/magick/composite.h
Xinclude/GraphicsMagick/magick/compress.h
Xinclude/GraphicsMagick/magick/constitute.h
Xinclude/GraphicsMagick/magick/decorate.h
Xinclude/GraphicsMagick/magick/delegate.h
Xinclude/GraphicsMagick/magick/deprecate.h
Xinclude/GraphicsMagick/magick/draw.h
Xinclude/GraphicsMagick/magick/effect.h
Xinclude/GraphicsMagick/magick/enhance.h
Xinclude/GraphicsMagick/magick/error.h
Xinclude/GraphicsMagick/magick/fx.h
Xinclude/GraphicsMagick/magick/gem.h
Xinclude/GraphicsMagick/magick/image.h
Xinclude/GraphicsMagick/magick/list.h
Xinclude/GraphicsMagick/magick/log.h
Xinclude/GraphicsMagick/magick/magic.h
Xinclude/GraphicsMagick/magick/magick.h
Xinclude/GraphicsMagick/magick/magick_config.h
Xinclude/GraphicsMagick/magick/magick_types.h
Xinclude/GraphicsMagick/magick/module.h
Xinclude/GraphicsMagick/magick/monitor.h
Xinclude/GraphicsMagick/magick/montage.h
Xinclude/GraphicsMagick/magick/paint.h
Xinclude/GraphicsMagick/magick/profile.h
Xinclude/GraphicsMagick/magick/quantize.h
Xinclude/GraphicsMagick/magick/registry.h
Xinclude/GraphicsMagick/magick/render.h
Xinclude/GraphicsMagick/magick/resize.h
Xinclude/GraphicsMagick/magick/resource.h
Xinclude/GraphicsMagick/magick/shear.h
Xinclude/GraphicsMagick/magick/signature.h
Xinclude/GraphicsMagick/magick/stream.h
Xinclude/GraphicsMagick/magick/symbols.h
Xinclude/GraphicsMagick/magick/timer.h
Xinclude/GraphicsMagick/magick/transform.h
Xinclude/GraphicsMagick/magick/utility.h
Xinclude/GraphicsMagick/magick/version.h
Xinclude/GraphicsMagick/magick/widget.h
Xinclude/GraphicsMagick/magick/xwindow.h
Xinclude/GraphicsMagick/wand/drawing_wand.h
Xinclude/GraphicsMagick/wand/magick_wand.h
Xinclude/GraphicsMagick/wand/pixel_wand.h
Xinclude/GraphicsMagick/wand/wand_api.h
X%%DATADIR%%/Copyright.txt
X%%DATADIR%%/config/colors.mgk
X%%DATADIR%%/config/delegates.mgk
X%%DATADIR%%/config/log.mgk
X%%DATADIR%%/config/magic.mgk
X%%DATADIR%%/config/modules.mgk
X%%DATADIR%%/config/type-ghostscript.mgk
X%%DATADIR%%/config/type-solaris.mgk
X%%DATADIR%%/config/type-windows.mgk
X%%DATADIR%%/config/type.mgk
Xlib/libGraphicsMagick++.a
Xlib/libGraphicsMagick++.so
Xlib/libGraphicsMagick++.so.1
Xlib/libGraphicsMagick.a
Xlib/libGraphicsMagick.so
Xlib/libGraphicsMagick.so.1
Xlib/libGraphicsMagickWand.a
Xlib/libGraphicsMagickWand.so
Xlib/libGraphicsMagickWand.so.0
X%%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/Graphics/Magick.pm
X%%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/.packlist
X%%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/Magick.so
X%%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/Magick.bs
X%%WITH_PERL%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick/autosplit.ix
X@comment lib/GraphicsMagick-%%PORTVERSION%%/modules-%%Q%%/coders
X@comment lib/GraphicsMagick-%%PORTVERSION%%/modules-%%Q%%/filters
X%%PORTDOCS%%%%DOCSDIR%%/images/ball.png
X%%PORTDOCS%%%%DOCSDIR%%/images/corbis.png
X%%PORTDOCS%%%%DOCSDIR%%/images/examples.jpg
X%%PORTDOCS%%%%DOCSDIR%%/images/gm-125x80t.png
X%%PORTDOCS%%%%DOCSDIR%%/images/gm-188x120t.png
X%%PORTDOCS%%%%DOCSDIR%%/images/gm-282x180t.png
X%%PORTDOCS%%%%DOCSDIR%%/images/home.png
X%%PORTDOCS%%%%DOCSDIR%%/images/mail.png
X%%PORTDOCS%%%%DOCSDIR%%/images/pdfsages.png
X%%PORTDOCS%%%%DOCSDIR%%/images/pngnow.png
X%%PORTDOCS%%%%DOCSDIR%%/images/right_triangle.png
X%%PORTDOCS%%%%DOCSDIR%%/images/right_triangle_option.png
X%%PORTDOCS%%%%DOCSDIR%%/index.html
X%%PORTDOCS%%%%DOCSDIR%%/www/AUTHORS.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Changelog.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Copyright.html
X%%PORTDOCS%%%%DOCSDIR%%/www/FAQ.html
X%%PORTDOCS%%%%DOCSDIR%%/www/GraphicsMagick.html
X%%PORTDOCS%%%%DOCSDIR%%/www/INSTALL-mac.html
X%%PORTDOCS%%%%DOCSDIR%%/www/INSTALL-unix.html
X%%PORTDOCS%%%%DOCSDIR%%/www/INSTALL-vms.html
X%%PORTDOCS%%%%DOCSDIR%%/www/INSTALL-windows.html
X%%PORTDOCS%%%%DOCSDIR%%/www/ImageMagickObject.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Blob.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.fig
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.svg
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ChangeLog.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/CoderInfo.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Color.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Documentation.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable_example_1.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Enumerations.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Exception.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/FormatCharacters.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Future.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Geometry.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.fig
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageDesign.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageMagick.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Install.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Magick++.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Montage.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/NEWS.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/PixelPacket.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Pixels.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/README.txt
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/STL.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/TypeMetric.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/gm-188x120t.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/index.html
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/montage-sample-framed.jpg
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/right_triangle.png
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.fig
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.jpg
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.fig
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.jpg
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-framed.jpg
X%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-plain.jpg
X%%PORTDOCS%%%%DOCSDIR%%/www/NEWS.html
X%%PORTDOCS%%%%DOCSDIR%%/www/README.html
X%%PORTDOCS%%%%DOCSDIR%%/www/animate.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/animate.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/annotate.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/attribute.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/blob.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/cache.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/cache_view.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/color.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/composite.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/constitute.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/decorate.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/deprecate.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/display.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/draw.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/effect.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/enhance.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/error.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/fx.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/image.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/list.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/magick.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/memory.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/monitor.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/montage.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/paint.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/profile.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/quantize.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/registry.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/render.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/resize.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/resource.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/segment.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/shear.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/signature.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/stream.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/transform.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/types.html
X%%PORTDOCS%%%%DOCSDIR%%/www/api/widget.html
X%%PORTDOCS%%%%DOCSDIR%%/www/body.html
X%%PORTDOCS%%%%DOCSDIR%%/www/body.html.rej
X%%PORTDOCS%%%%DOCSDIR%%/www/books.html
X%%PORTDOCS%%%%DOCSDIR%%/www/color.html
X%%PORTDOCS%%%%DOCSDIR%%/www/composite.html
X%%PORTDOCS%%%%DOCSDIR%%/www/conjure.html
X%%PORTDOCS%%%%DOCSDIR%%/www/contribute.html
X%%PORTDOCS%%%%DOCSDIR%%/www/convert.html
X%%PORTDOCS%%%%DOCSDIR%%/www/cvs.html
X%%PORTDOCS%%%%DOCSDIR%%/www/development.html
X%%PORTDOCS%%%%DOCSDIR%%/www/display.html
X%%PORTDOCS%%%%DOCSDIR%%/www/download.html
X%%PORTDOCS%%%%DOCSDIR%%/www/formats.html
X%%PORTDOCS%%%%DOCSDIR%%/www/gm.html
X%%PORTDOCS%%%%DOCSDIR%%/www/header.html
X%%PORTDOCS%%%%DOCSDIR%%/www/identify.html
X%%PORTDOCS%%%%DOCSDIR%%/www/import.html
X%%PORTDOCS%%%%DOCSDIR%%/www/index.html
X%%PORTDOCS%%%%DOCSDIR%%/www/install.html
X%%PORTDOCS%%%%DOCSDIR%%/www/links.html
X%%PORTDOCS%%%%DOCSDIR%%/www/magick.css
X%%PORTDOCS%%%%DOCSDIR%%/www/miff.html
X%%PORTDOCS%%%%DOCSDIR%%/www/mission.html
X%%PORTDOCS%%%%DOCSDIR%%/www/mogrify.html
X%%PORTDOCS%%%%DOCSDIR%%/www/montage.html
X%%PORTDOCS%%%%DOCSDIR%%/www/perl.html
X%%PORTDOCS%%%%DOCSDIR%%/www/programming.html
X%%PORTDOCS%%%%DOCSDIR%%/www/quantize.html
X%%PORTDOCS%%%%DOCSDIR%%/www/smile.c
X%%PORTDOCS%%%%DOCSDIR%%/www/tools.html
X%%PORTDOCS%%%%DOCSDIR%%/www/utilities.html
X%%PORTDOCS%%%%DOCSDIR%%/www/windows.html
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/www/api
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/www/Magick++
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/www
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/images
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X%%WITH_PERL%%@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics/Magick
X%%WITH_PERL%%@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Graphics 2>/dev/null || true
X%%WITH_PERL%%@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/Graphics
X@dirrm %%DATADIR%%/config
X@dirrm %%DATADIR%%
X@dirrm include/GraphicsMagick/wand
X@dirrm include/GraphicsMagick/magick
X@dirrm include/GraphicsMagick/Magick++
X@dirrm include/GraphicsMagick
END-of-GraphicsMagick/pkg-plist
echo c - GraphicsMagick/files
mkdir -p GraphicsMagick/files > /dev/null 2>&1
echo x - GraphicsMagick/files/patch-warnings
sed 's/^X//' >GraphicsMagick/files/patch-warnings << 'END-of-GraphicsMagick/files/patch-warnings'
X--- magick/blob.c	Wed Apr 14 18:45:16 2004
X+++ magick/blob.c	Sun Jul 24 12:30:20 2005
X@@ -2364,5 +2364,5 @@
X                   (void) rewind(image->blob->file);
X                   (void) LogMagickEvent(BlobEvent,GetMagickModule(),
X-                     "  read %d magic header bytes", count);
X+                     "  read %td magic header bytes", count);
X #if defined(HasZLIB)
X                   if ((magick[0] == 0x1F) && (magick[1] == 0x8B) &&
X--- coders/ept.c	Wed Apr 14 18:45:28 2004
X+++ coders/ept.c	Sun Jul 24 13:33:39 2005
X@@ -584,5 +584,5 @@
X       if (logging)
X         (void) LogMagickEvent(CoderEvent,GetMagickModule(),
X-          "Writing EPS section at offset %lld",TellBlob(image));
X+          "Writing EPS section at offset %lld", (long long)TellBlob(image));
X       for (c=fgetc(ps_file); c != EOF; c=fgetc(ps_file))
X         (void) WriteBlobByte(image,c);
X@@ -590,5 +590,5 @@
X       if (logging)
X         (void) LogMagickEvent(CoderEvent,GetMagickModule(),
X-          "Writing TIFF section at offset %lld",TellBlob(image));
X+          "Writing TIFF section at offset %lld", (long long)TellBlob(image));
X       for (c=fgetc(tiff_file); c != EOF; c=fgetc(tiff_file))
X         (void) WriteBlobByte(image,c);
END-of-GraphicsMagick/files/patch-warnings
echo x - GraphicsMagick/files/patch-utility
sed 's/^X//' >GraphicsMagick/files/patch-utility << 'END-of-GraphicsMagick/files/patch-utility'
X--- magick/utility.c	Sat Apr  2 17:35:06 2005
X+++ magick/utility.c	Sun Jul 24 18:22:40 2005
X@@ -47,4 +47,8 @@
X #include "magick/utility.h"
X 
X+#if defined(POSIX)
X+#	include <sys/types.h>
X+#	include <sys/wait.h>
X+#endif
X 
X /*
X@@ -3874,4 +3878,9 @@
X #if defined(POSIX)
X   status=system(command);
X+  if (status == -1)
X+	perror(command);
X+  else if (WIFSIGNALED(status)) {
X+	fprintf(stderr, "Command ``\n%s\n'' terminated due to signal %d\n", command, WTERMSIG(status));
X+  }
X #elif defined(vms)
X   status=!system(command);
END-of-GraphicsMagick/files/patch-utility
echo x - GraphicsMagick/files/patch-Makefile.in
sed 's/^X//' >GraphicsMagick/files/patch-Makefile.in << 'END-of-GraphicsMagick/files/patch-Makefile.in'
X--- Makefile.in	Fri Mar 18 19:36:21 2005
X+++ Makefile.in	Sun Jul 24 18:21:35 2005
X@@ -100,5 +100,5 @@
X 
X # Architecture independent data files installed in the package's data directory
X-pkgdatadir = @MagickSharePath@
X+pkgdatadir = ${DATA_DIR}/GraphicsMagick
X ACLOCAL = @ACLOCAL@
X AMDEP_FALSE = @AMDEP_FALSE@
X@@ -301,6 +301,6 @@
X MagickLibConfigPath = @MagickLibConfigPath@
X MagickLibPath = @MagickLibPath@
X-MagickShareConfigPath = @MagickShareConfigPath@
X-MagickSharePath = @MagickSharePath@
X+MagickShareConfigPath = ${DATADIR}/share/GraphicsMagick/config
X+MagickSharePath = ${DATADIR}/share/GraphicsMagick
X MogrifyDelegate = @MogrifyDelegate@
X NM = @NM@
X@@ -466,5 +466,5 @@
X 
X # Install HTML files
X-pkgdocdir = @MagickSharePath@
X+pkgdocdir = ${DATA_DIR}/doc/GraphicsMagick
X DOCDIRS = images www www/api www/Magick++
X @WITH_PERL_TRUE@PERLMAGICK = PerlMagick
X@@ -1079,5 +1079,5 @@
X 
X # Install arch-independent package data
X-install-data-local: install-data-html
X+install-data-local:
X 
X # Uninstall arch-independent package data
X--- coders/Makefile.in	Fri Mar 18 19:36:16 2005
X+++ coders/Makefile.in	Sun Jul 24 19:22:21 2005
X@@ -1479,5 +1479,5 @@
X install-pkgLTLIBRARIES: $(pkg_LTLIBRARIES)
X 	@$(NORMAL_INSTALL)
X-	test -z "$(pkgdir)" || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X+	test -z "$(pkgdir)" -o -z "$(pkg_LTLIBRARIES)" || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X 	@list='$(pkg_LTLIBRARIES)'; for p in $$list; do \
X 	  if test -f $$p; then \
X@@ -1825,5 +1825,5 @@
X install-pkgDATA: $(pkg_DATA)
X 	@$(NORMAL_INSTALL)
X-	test -z "$(pkgdir)" || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X+	test -z "$(pkgdir)" -o -z '$(pkg_DATA)' || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X 	@list='$(pkg_DATA)'; for p in $$list; do \
X 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
X@@ -1842,5 +1842,5 @@
X install-pkgdataDATA: $(pkgdata_DATA)
X 	@$(NORMAL_INSTALL)
X-	test -z "$(pkgdatadir)" || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
X+	test -z "$(pkgdatadir)" -o -z '$(pkgdata_DATA)' || $(mkdir_p) "$(DESTDIR)$(pkgdatadir)"
X 	@list='$(pkgdata_DATA)'; for p in $$list; do \
X 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
X--- filters/Makefile.in	Fri Mar 18 19:36:17 2005
X+++ filters/Makefile.in	Sun Jul 24 19:23:33 2005
X@@ -522,5 +522,5 @@
X install-pkgLTLIBRARIES: $(pkg_LTLIBRARIES)
X 	@$(NORMAL_INSTALL)
X-	test -z "$(pkgdir)" || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X+	test -z "$(pkgdir)" -o -z '$(pkg_LTLIBRARIES)' || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X 	@list='$(pkg_LTLIBRARIES)'; for p in $$list; do \
X 	  if test -f $$p; then \
X@@ -592,5 +592,5 @@
X install-pkgDATA: $(pkg_DATA)
X 	@$(NORMAL_INSTALL)
X-	test -z "$(pkgdir)" || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X+	test -z "$(pkgdir)" -o -z '$(pkg_DATA)' || $(mkdir_p) "$(DESTDIR)$(pkgdir)"
X 	@list='$(pkg_DATA)'; for p in $$list; do \
X 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
X--- config/Makefile.in	Fri Mar 18 19:36:16 2005
X+++ config/Makefile.in	Sun Jul 24 19:25:34 2005
X@@ -274,7 +274,7 @@
X MagickCoderModulesPath = @MagickCoderModulesPath@
X MagickFilterModulesPath = @MagickFilterModulesPath@
X-MagickLibConfigPath = @MagickLibConfigPath@
X+MagickLibConfigPath = ${DATA_DIR}/GraphicsMagick/config
X MagickLibPath = @MagickLibPath@
X-MagickShareConfigPath = @MagickShareConfigPath@
X+MagickShareConfigPath = ${MagickLibConfigPath}
X MagickSharePath = @MagickSharePath@
X MogrifyDelegate = @MogrifyDelegate@
END-of-GraphicsMagick/files/patch-Makefile.in
echo x - GraphicsMagick/files/patch-freebsd
sed 's/^X//' >GraphicsMagick/files/patch-freebsd << 'END-of-GraphicsMagick/files/patch-freebsd'
XIndex: magick/command.c
X===================================================================
XRCS file: /GraphicsMagick/GraphicsMagick/magick/command.c,v
Xretrieving revision 1.147.2.8
Xretrieving revision 1.147.2.9
Xdiff -u -r1.147.2.8 -r1.147.2.9
X--- magick/command.c	28 Apr 2005 22:57:28 -0000	1.147.2.8
X+++ magick/command.c	16 Jul 2005 01:42:22 -0000	1.147.2.9
X@@ -6525,7 +6525,7 @@
X     } 
X   if (resource_database != (XrmDatabase) NULL)
X     {
X-      XrmDestroyDatabase(resource_database);
X+      /* XrmDestroyDatabase(resource_database); */
X       resource_database=(XrmDatabase) NULL;
X     }
X 
XIndex: magick/image.c
X===================================================================
XRCS file: /GraphicsMagick/GraphicsMagick/magick/image.c,v
Xretrieving revision 1.1207.2.5
Xretrieving revision 1.1207.2.6
Xdiff -u -r1.1207.2.5 -r1.1207.2.6
X--- magick/image.c	1 May 2005 18:43:29 -0000	1.1207.2.5
X+++ magick/image.c	16 Jul 2005 01:42:23 -0000	1.1207.2.6
X@@ -2527,7 +2527,7 @@
X   }
X   if (resource_database != (XrmDatabase) NULL)
X     {
X-      XrmDestroyDatabase(resource_database);
X+      /* XrmDestroyDatabase(resource_database); */
X       resource_database=(XrmDatabase) NULL;
X     }
X   XDestroyResourceInfo(&resource_info);
XIndex: magick/nt_base.c
X===================================================================
XRCS file: /GraphicsMagick/GraphicsMagick/magick/nt_base.c,v
Xretrieving revision 1.35.2.6
Xretrieving revision 1.35.2.7
Xdiff -u -r1.35.2.6 -r1.35.2.7
X--- magick/nt_base.c	20 Mar 2005 01:39:13 -0000	1.35.2.6
X+++ magick/nt_base.c	19 Jun 2005 00:13:29 -0000	1.35.2.7
X@@ -2027,8 +2027,8 @@
X     }
X   entry->firsttime=FALSE;
X   (void) strncpy(entry->file_info.d_name,entry->Win32FindData.cFileName,
X-    MaxTextExtent-1);
X-  entry->file_info.d_name[MaxTextExtent-1]='\0';
X+    sizeof(entry->file_info.d_name)-1);
X+  entry->file_info.d_name[sizeof(entry->file_info.d_name)-1]='\0';
X   entry->file_info.d_namlen=strlen(entry->file_info.d_name);
X   return(&entry->file_info);
X }
XIndex: magick/version.h
X===================================================================
XRCS file: /GraphicsMagick/GraphicsMagick/magick/version.h,v
Xretrieving revision 1.142.2.43
Xretrieving revision 1.142.2.46
Xdiff -u -r1.142.2.43 -r1.142.2.46
X--- magick/version.h	1 May 2005 20:09:53 -0000	1.142.2.43
X+++ magick/version.h	16 Jul 2005 01:42:24 -0000	1.142.2.46
X@@ -38,7 +38,7 @@
X #define MagickLibVersion  0x010006
X #define MagickLibVersionText  "1.1.6"
X #define MagickLibVersionNumber 1,0,6
X-#define MagickChangeDate   "20050501"
X+#define MagickChangeDate   "20050715"
X #define MagickReleaseDate  "2005-05-01"
X 
X 
END-of-GraphicsMagick/files/patch-freebsd
exit
Comment 8 Mark Linimon freebsd_committer freebsd_triage 2005-07-29 01:34:40 UTC
State Changed
From-To: open->closed

Already committed by mi on 2005/07/27.